<template>
  <v-main>
    <v-container fluid grid-list-md>
      <v-layout row wrap>
        <p v-if="$fetchState.pending">Fetching News...</p>
        <p v-else-if="$fetchState.error">An error occurred :(</p>

        <v-flex v-else v-for="mountain of mountains"  :key="mountain.id" xs12 md6 lg3>
          <v-card width="95%">
            <v-img
              :src="`https://api20.cicdhosting.com${mountain.CatImage[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <!-- <v-card-media fill-height src="https://i.pinimg.com/originals/ea/37/df/ea37df8d51c2c4bcc27c1708fff6c9d6.jpg" height="400px"></v-card-media> -->
            <v-card-title primary-title>
              <div>
                <h3 class="headline mb-0" v-text="mountain.name"></h3>
                <!-- <div v-if="item.salePrice != null || item.SalePrice >= 1 || item.discPrice != null || item.discPrice >= 1 ">General S.R.P: Php <strike>{{ item.srp }}</strike></div>
                                        <div v-else>General S.R.P: {{ item.srp }}</div>
                                        <div v-show="item.discPrice != null || item.discPrice >= 1" class="body-1">Discounted Price: Php {{ item.discPrice }}</div>
                                        <div v-show="item.salePrice != null || item.SalePrice >= 1" class="body-1">Selling Price: Php {{ item.salePrice }}</div> -->
                <!-- <p>{{item.images[0].url}}</p> -->
              </div>
            </v-card-title>
            <v-card-actions>
              <v-btn color="orange" class="body-1"
                ><nuxt-link :to="`category/${mountain.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
          </v-card>
        </v-flex>
      </v-layout>
      <v-card>
        <!-- <fb-comment url="your-url.com/post-slug" /> -->
        <!-- <div
            class="fb-comments"
            data-href="http://192.168.0.198:3019/${this.results.slug}"
            data-width="550"
            data-numposts="5"
          ></div> -->
      </v-card>
    </v-container>
  </v-main>
</template>

<script>
export default {
  data() {
    return {
      mountains: [],
    };
  },
//   async fetch() {
//     this.mountains = await fetch(process.env.apiLink).then((res) => res.json());
//   },
async fetch() {
    var ResponseURL = this.$route.fullPath;
    var str = ResponseURL.split("/");
    // console.log(str[str.length - 1]);
    var slug = str[str.length - 1];
    this.mountains = await fetch(
      process.env.appimage + "categories"
    ).then(res => res.json());
  },
};
</script>

<style scoped>
a {
  text-decoration: none;
}
</style>